<?php
ini_set('display_errors', '1');
error_reporting(E_ALL);
define('_DS', DIRECTORY_SEPARATOR);
include(dirname(__FILE__) . '/../../../config/config.inc.php');

$id_lang_default = (int)Configuration::get('PS_LANG_DEFAULT');
$id_shop_default = (int)Configuration::get('PS_SHOP_DEFAULT');
$db   = _DB_PREFIX_;
$html ="";

$keywords = Tools::getValue('keywords');
$id_cat  = Tools::getValue('id_cat');

$tablepl = $db."product_lang";
$tablecp = $db."category_product";

$sql = "
	SELECT pl.`id_product`, pl.`name` FROM $tablepl pl
	LEFT JOIN $tablecp cp ON cp.`id_product` = pl.`id_product`
	WHERE `id_shop` = $id_shop_default 
		AND pl.`id_lang` = $id_lang_default 
		AND pl.`name` LIKE '%$keywords%'
		AND cp.`id_category` = $id_cat
	";
$res    = Db::getInstance()->ExecuteS($sql);

if (!empty($res)){

	$html .= '<table style="font-size:1em;" border="0px" cellspacing="2px" cellpadding="2px" bgcolor="#cccccc">';
	$html .= '<tr><td align=right colspan="2">Инвертировать выбор&nbsp;</td><td><input title="Обратить выбор" onclick="inverse()" id="chup" type="button" value="R"></td></tr>';
	$i = 0;
	foreach($res as $prod)
	{
		if($i % 2 == 0) $bgcolor = "#FFFFFF";
		else $bgcolor      = "#EFEFEF";
		$id_prod = $prod['id_product'];
		$name = $prod['name'];
		$html .= '<tr bgcolor="'.$bgcolor.'"><td id="id'.$i.'" value="'.$id_prod.'">'.$id_prod.'</td>';
		$html .= '<td id="v'.$i.'" value="'.$name.'">'.$name.'</td>';
		$html .= '<td><input id="ch'.$i++.'" type="checkbox" checked></td></tr>';
	}
	//$text = AdminController::l('Invert selection');
	$html .= '<tr><td align=right colspan="2">Инвертировать выбор&nbsp;</td><td><input title="Инвертировать выбор" onclick="inverse()" id="chdown" type="button" value="R"></td></tr>';
	$html .= '</table>';
	$html .= '<a id="fcount" name="fcount" value='.--$i.'></a>';

 }else{
    $html = "<b>Not found </b><br>";
 }


$html .= "Id category :$id_cat - ";
$html .= "Keywords :$keywords<br>";
echo $html;
?>